import javax.swing.JOptionPane;

public class IgraMemo {
	public static void main(String[] args) {
		String zmagovalnaKombinacija = nakljucnaKombinacija();
		int steviloPoskusov = 0;
		// igralec ima na razpolago najvec 6 moznosti
		while (steviloPoskusov < 6) {
			String beri = JOptionPane
					.showInputDialog("Vnesi stirimestno kombinacijo\n"
							+ "(Y - rumena, O - oranzna, R - rdeca, B - modra, G - zelena, V - vijolicna):");

			// primerjamo vneseno kombinacijo z nakljucno in izpisemo rezultat
			System.out.println(beri);
			String primerjava = odgovorPrimerjave(beri, zmagovalnaKombinacija);
			System.out.println(primerjava);
			System.out.println();

			// ce je kombinacija zmagovalna, koncamo
			if (primerjava.equals("BBBB")) {
				System.out.println("Zmagal si!");
				break;
			}
			steviloPoskusov = steviloPoskusov + 1;
		}
		// ce smo porabili vse poskuse
		if (steviloPoskusov == 6) {
			System.out.println("Izgubil si.");
		}
	}

	// metoda, ki generira nakljucno kombinacijo stirih razlicnih znakov
	public static String nakljucnaKombinacija() {
		char[] barve = { 'Y', 'O', 'R', 'B', 'G', 'V' };
		String kombinacija = "";

		// sestavimo kombinacijo znakov
		for (int i = 0; i < 4; ++i) {
			// izberemo nakljucno barvo (med se ne izbranimi) in jo dodamo h
			// kombinaciji
			int mestoBarve = (int) (Math.random() * (6 - i));
			kombinacija += barve[mestoBarve];

			// barvo, ki smo jo izbrali, izvzamemo iz nadaljnjih izbiranj
			barve[mestoBarve] = barve[5 - i];
		}
		return kombinacija;
	}

	// metoda, ki primerja dva niza
	public static String odgovorPrimerjave(String igralcevNiz,
			String zmagovalniNiz) {
		String odg = "";
		for (int i = 0; i < 4; ++i) {
			// ce sta barva in lega enaki
			if (igralcevNiz.charAt(i) == zmagovalniNiz.charAt(i)) {
				odg = odg + 'B';
			}
			// ce se barva nahaja v zmagovalnem nizu, pa ni na pravem mestu
			else if (zmagovalniNiz.indexOf(igralcevNiz.charAt(i)) != -1) {
				odg = odg + 'W';
			}
			// barve ni v zmagovalnem nizu
			else {
				odg = odg + " ";
			}
		}
		return odg;
	}
}
